package net.northking.cctp.se.debugger;


import net.northking.cctp.se.exec.ATUScriptInstance;

import javax.websocket.Session;

/**
 * 接口自动化测试调试器
 */
public class InterfaceDebugger extends WebSocketATUDebugger implements Runnable
{

  public InterfaceDebugger(String id, Session session)
  {
    super(id, session);
  }


  @Override
  public void run()
  {
    ATUScriptInstance scriptInstance = analyseScript();

    debuggerScript(scriptInstance);
  }
}
